com.beaglebuddy.id3.pojo.v24

## Class Level

- java.lang.Object
- - com.beaglebuddy.id3.pojo.v24.Level

-     public class Level
      extends java.lang.Object

  A Level is a point on an EQ curve. It contains the following fields.

  Level Fields
  | Field | Description
  --- | --- | ---
  1. | frequency | the frequency (in hz) at which the point on EQ curve is located. Allowed values are from [0 hz - 32767 hz]. ex: 500 hz
  2. | volume | the amount to increase/decrease the volume in db. Allowed values are from [-64 db - +64 db]. ex: -2.5 db

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Level()` The default constructor is called when creating a flat level.
    `Level(short frequency, double volume)` constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getFrequency()` get the frequency (in hz) at which the equalization level occurs.
    `double` | `getVolume()` get the volume adjustment (in db) for this frequency.
    `void` | `setFrequency(short frequency)` set the frequency (in hz) at which the equalization level occurs.
    `void` | `setVolume(double volume)` set the amount of volume adjustment (in db) for this frequency. Ex: +2.5 db Ex: -3.0 db
    `java.lang.String` | `toString()` get a string representation of an ID3v2.4 equalization level.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Level

          public Level()

      The default constructor is called when creating a flat level. The default values used are:
      - 0 hz
      - 0 db

    - #### Level

          public Level(short frequency,
               double volume)

      constructor.
      Parameters:
        `frequency` - frequency (in hz)
        `volume` - volume (in db)

  - ### Method Detail

    - #### getFrequency

          public short getFrequency()

      get the frequency (in hz) at which the equalization level occurs.
      Returns:
        the frequency (in hz) at which this equalization level occurs.

    - #### setFrequency

          public void setFrequency(short frequency)

      set the frequency (in hz) at which the equalization level occurs.
      Parameters:
        `frequency` - the frequency (in hz) at which the equalization level occurs. Allowed values are from 0 hz - 32767 hz.
      Throws:
        `java.lang.IllegalArgumentException` - if the specified frequency is less than 0 hz or greater than to 32767 hz.

    - #### getVolume

          public double getVolume()

      get the volume adjustment (in db) for this frequency.
      Returns:
        the amount of volume adjustment (in db) for this equalization level.

    - #### setVolume

          public void setVolume(double volume)

      set the amount of volume adjustment (in db) for this frequency.
      Ex: +2.5 db
      Ex: -3.0 db
      Parameters:
        `volume` - the amount of volume (in db) to adjust this equalization level. Allowed values are from -64 db - +64 db.
      Throws:
        `java.lang.IllegalArgumentException` - if the volume is not in the range of ±64 db.

    - #### toString

          public java.lang.String toString()

      get a string representation of an ID3v2.4 equalization level.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of an ID3v2.4 equalization level.